<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="cobranzaresumenanalitico1" pageWidth="595" pageHeight="842" columnWidth="535" leftMargin="30" rightMargin="30" topMargin="20" bottomMargin="20" scriptletClass="com.civitas.cred.jasper.BoletosDePagoScriptlet" uuid="5840fe2e-1605-4151-a3a1-0a86d177b4c9">
	<property name="ireport.scriptlethandling" value="2"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="3.0"/>
	<property name="ireport.x" value="89"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="REPORTS_PATH" class="java.lang.String" isForPrompting="false"/>
	<parameter name="CARATULA_ID" class="java.lang.String"/>
	<queryString>
		<![CDATA[select c.grupo, b.deta_ba, c.fechaCobranza, c.comprobantes, c.importe as importeCaja, c.usuario, c.fechaActualizacion, case c.metodoCarga when 0 then 'Automática' when 1 then 'Manual' when 2 then 'Procesamiento' else null end as metodoCarga, cc.concepto, cc.tipoConcepto, ti.TF_DESCRIPCION as tipoConceptoNombre, SUM(cc.importe) as importe, cc.persona
from caratula c
join bancos b on b.codi_ba = c.banco_codi_ba
left join (
select cc.caratula_id, ccon.detalle as concepto, cc.tipoConcepto, SUM(cc.importe) as importe, '' as persona
from Ctacte cc
join Concepto con on cc.asociado_id = con.id
join CConcepto ccon on ccon.concepto = con.concepto_concepto
where cc.tipomov_id = 1
group by ccon.detalle, cc.caratula_id, cc.tipoConcepto
union
select dv.caratula_id, ccon.detalle as concepto, dv.tipoConcepto, SUM(miv.importe) as importe,
case dv.tipoConcepto when 155 then p.NOMB_12 else '' end as persona
from  DeudoresVarios dv
join MovIngresosVarios miv on miv.deudoresVarios_id = dv.id
join Concepto con on miv.concepto_id = con.id
join CConcepto ccon on ccon.concepto = con.concepto_concepto
join Persona p on p.IDPERSONA = dv.persona_IDPERSONA
group by ccon.detalle, dv.caratula_id, dv.tipoConcepto, p.NOMB_12
) cc on cc.caratula_id = c.id
left join tipificadores ti on cc.tipoConcepto = ti.TF_CODIGO
where c.id = $P{CARATULA_ID} and ti.TF_CATEGORIA = 'ctacte.detalle'
group by c.grupo, b.deta_ba, c.fechaCobranza, c.comprobantes, c.importe, c.usuario, c.fechaActualizacion, cc.persona,
case c.metodoCarga when 0 then 'Automática' when 1 then 'Manual' when 2 then 'Procesamiento' else null end ,
cc.concepto, cc.tipoConcepto, ti.TF_DESCRIPCION]]>
	</queryString>
	<field name="grupo" class="java.math.BigDecimal"/>
	<field name="deta_ba" class="java.lang.String"/>
	<field name="fechaCobranza" class="java.sql.Timestamp"/>
	<field name="comprobantes" class="java.math.BigDecimal"/>
	<field name="importeCaja" class="java.lang.Double"/>
	<field name="usuario" class="java.lang.String"/>
	<field name="fechaActualizacion" class="java.sql.Timestamp"/>
	<field name="metodoCarga" class="java.lang.String"/>
	<field name="concepto" class="java.lang.String"/>
	<field name="tipoConcepto" class="java.lang.String"/>
	<field name="tipoConceptoNombre" class="java.lang.String"/>
	<field name="importe" class="java.lang.Double"/>
	<field name="persona" class="java.lang.String"/>
	<variable name="total" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{importe}]]></variableExpression>
	</variable>
	<group name="Conceptos">
		<groupExpression><![CDATA[$F{concepto}]]></groupExpression>
		<groupHeader>
			<band height="18">
				<textField isBlankWhenNull="true">
					<reportElement key="textField" x="2" y="0" width="148" height="18" uuid="2e97ade8-463c-40ee-9a82-f08674227f4d"/>
					<textElement verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{concepto}]]></textFieldExpression>
				</textField>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="7"/>
		</groupFooter>
	</group>
	<group name="TipoConceptos">
		<groupExpression><![CDATA[$F{tipoConcepto}]]></groupExpression>
		<groupHeader>
			<band height="2"/>
		</groupHeader>
		<groupFooter>
			<band height="2"/>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="79" splitType="Stretch">
			<staticText>
				<reportElement key="staticText-1" x="248" y="7" width="287" height="50" uuid="7ffcc49f-52a3-4fe4-a531-9fdb4422d6ed"/>
				<box leftPadding="2"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Tahoma" size="8"/>
				</textElement>
				<text><![CDATA[Administradora Provincial del Fondo
Domicilio de la Administradora: 9 de julio Nº 1257 1º. Cdad. Mza. CP: 5500
Tels: (0261) 420-2434/5 Fax: 420-2439
CUIT 30-68413756-1 ]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-2" x="0" y="64" width="535" height="14" uuid="975d78fe-dd8f-45b9-9113-c37787856a67"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#333333"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#333333"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#333333"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#333333"/>
				</box>
				<textElement textAlignment="Center">
					<font size="10" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[RESUMEN DE COBRANZA]]></text>
			</staticText>
			<image onErrorType="Blank">
				<reportElement key="image-1" x="0" y="0" width="95" height="64" uuid="4fa44286-2934-4ff9-9640-7d4492b5f0fa"/>
				<imageExpression><![CDATA[$P{REPORTS_PATH} + "/images/logoEmpresa.jpg"]]></imageExpression>
			</image>
		</band>
	</title>
	<pageHeader>
		<band height="93" splitType="Stretch">
			<staticText>
				<reportElement key="staticText-5" mode="Opaque" x="61" y="31" width="87" height="33" forecolor="#FEFEFE" backcolor="#ACACAC" uuid="9ad94b34-2268-4466-93ee-8419c17e6d25"/>
				<box leftPadding="2" rightPadding="2"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[Ente Recaudador]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-49" mode="Opaque" x="0" y="31" width="61" height="33" forecolor="#FEFEFE" backcolor="#ACACAC" uuid="11746a0c-51b3-4b8c-95de-d71a0051164d"/>
				<box leftPadding="2" rightPadding="2"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[Nro de Caja]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-50" x="0" y="8" width="74" height="13" uuid="d80bc5fe-9797-47f2-a60b-831f7c9edf83"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="9" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[Fecha Emisión:]]></text>
			</staticText>
			<textField evaluationTime="Report" pattern="dd/MM/yyyy h.mm a" isBlankWhenNull="true">
				<reportElement key="textField-26" x="75" y="8" width="75" height="13" uuid="24186922-4be7-40ac-b4a4-e6635c32becd"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="9" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<textFieldExpression><![CDATA[new Date()]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="false">
				<reportElement key="textField-27" x="411" y="9" width="84" height="14" uuid="9d1049ae-76f6-40ec-97eb-6716a3b6d7a1"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="8" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<textFieldExpression><![CDATA["Página "+$V{PAGE_NUMBER}+" de"]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report" isBlankWhenNull="false">
				<reportElement key="textField-28" x="495" y="9" width="40" height="14" uuid="a722492a-2000-4cce-be2d-acad89b715b9"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<textFieldExpression><![CDATA[" " + $V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<textField pattern="###0" isBlankWhenNull="true">
				<reportElement key="textField" x="0" y="64" width="61" height="18" uuid="4f6e3383-34ec-4e29-a701-e8163d091d91"/>
				<box leftPadding="2" rightPadding="2"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{grupo}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="textField" x="61" y="64" width="87" height="18" uuid="36f419a1-a8bc-473b-94c4-d06fa5b8efa5"/>
				<box leftPadding="2" rightPadding="2"/>
				<textElement verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{deta_ba}]]></textFieldExpression>
			</textField>
			<textField pattern="dd/MM/yyyy" isBlankWhenNull="true">
				<reportElement key="textField" x="148" y="64" width="56" height="18" uuid="0415adc7-86b4-4869-ae7e-3e3fb58ce876"/>
				<box leftPadding="2" rightPadding="2"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{fechaCobranza}]]></textFieldExpression>
			</textField>
			<textField pattern="###0" isBlankWhenNull="true">
				<reportElement key="textField" x="204" y="64" width="63" height="18" uuid="6143fd57-7bae-4439-a2ed-93d8588daba1"/>
				<box leftPadding="2" rightPadding="2"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{comprobantes}]]></textFieldExpression>
			</textField>
			<textField pattern="##0.00" isBlankWhenNull="true">
				<reportElement key="textField" x="267" y="64" width="78" height="18" uuid="cc6814fc-f63a-437c-b3be-b7467255004e"/>
				<box leftPadding="2" rightPadding="2"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{importeCaja}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="textField" x="345" y="64" width="66" height="18" uuid="1cd16a94-e50b-4634-ab77-48fed5c9511f"/>
				<box leftPadding="2" rightPadding="2"/>
				<textElement verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{usuario}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="textField" x="411" y="64" width="66" height="18" uuid="19a947a9-dd30-4d74-ae9d-9c2a88bc3476"/>
				<box leftPadding="2" rightPadding="2"/>
				<textElement verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{metodoCarga}]]></textFieldExpression>
			</textField>
			<textField pattern="dd/MM/yyyy" isBlankWhenNull="true">
				<reportElement key="textField" x="477" y="64" width="58" height="18" uuid="29b13ae8-3222-4c5a-bb4a-116fac4a5e82"/>
				<box leftPadding="2" rightPadding="2"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{fechaActualizacion}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="staticText-55" mode="Opaque" x="148" y="31" width="56" height="33" forecolor="#FEFEFE" backcolor="#ACACAC" uuid="961d72ca-097f-4393-94da-d3974c386917"/>
				<box leftPadding="2" rightPadding="2"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[Fecha de Cobranza]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-56" mode="Opaque" x="204" y="31" width="63" height="33" forecolor="#FEFEFE" backcolor="#ACACAC" uuid="4f23cec7-2a16-4d9b-aef8-d18461d63605"/>
				<box leftPadding="2" rightPadding="2"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[Cantidad Lotes]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-57" mode="Opaque" x="267" y="31" width="78" height="33" forecolor="#FEFEFE" backcolor="#ACACAC" uuid="7769a3cc-d350-4055-a967-a14ec5463280"/>
				<box leftPadding="2" rightPadding="2"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[Importe Total]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-58" mode="Opaque" x="345" y="31" width="66" height="33" forecolor="#FEFEFE" backcolor="#ACACAC" uuid="998586d8-9ee6-4c72-a719-4b0104d00f3c"/>
				<box leftPadding="2" rightPadding="2"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[Usuario]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-59" mode="Opaque" x="411" y="31" width="66" height="33" forecolor="#FEFEFE" backcolor="#ACACAC" uuid="b4877a0e-cd48-4cc1-882b-ea5a7a278f1b"/>
				<box leftPadding="2" rightPadding="2"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[Método de Carga]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-60" mode="Opaque" x="477" y="31" width="58" height="33" forecolor="#FEFEFE" backcolor="#ACACAC" uuid="8320a46e-cef3-490e-b0fe-99d9d080ccae"/>
				<box leftPadding="2" rightPadding="2"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[Fecha de Caja]]></text>
			</staticText>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="29" splitType="Stretch">
			<staticText>
				<reportElement key="staticText-61" mode="Opaque" x="0" y="0" width="248" height="29" forecolor="#FEFEFE" backcolor="#ACACAC" uuid="dc30ea38-f333-4b49-87e2-3a91e6032fd5"/>
				<box leftPadding="2" rightPadding="2"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[Conceptos]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-62" mode="Opaque" x="267" y="0" width="78" height="29" forecolor="#FEFEFE" backcolor="#ACACAC" uuid="3c975947-47d6-4972-b100-66d66fb2706d"/>
				<box leftPadding="2" rightPadding="2"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="8" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[Importe]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="16" splitType="Stretch">
			<textField>
				<reportElement x="25" y="0" width="223" height="14" uuid="01caccdc-bf53-4f14-bf78-360dba0dbe7b"/>
				<textElement>
					<font size="8" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{tipoConceptoNombre} + " " + $F{persona}]]></textFieldExpression>
			</textField>
			<textField pattern="##0.00" isBlankWhenNull="true">
				<reportElement key="textField" x="267" y="0" width="78" height="14" uuid="f1553511-228a-4c30-8358-8fe981c66ef5"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{importe}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="66" splitType="Stretch">
			<staticText>
				<reportElement key="staticText-48" x="0" y="0" width="148" height="18" uuid="e6693e57-8671-425f-98d7-092978878257"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="8" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[Importe total recaudado]]></text>
			</staticText>
			<textField evaluationTime="Report" pattern="#,##0.00;-#,##0.00" isBlankWhenNull="true">
				<reportElement key="textField-24" x="226" y="0" width="119" height="18" uuid="35e6db39-a003-4f56-b2fd-986930f42d91"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="8" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{total}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="textField-29" x="-1" y="32" width="536" height="34" uuid="7bd482bc-2f83-43c7-9dd7-bc9c63adc05f"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="8" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<textFieldExpression><![CDATA["Son pesos "+$P{REPORT_SCRIPTLET}.getDinero($V{total})]]></textFieldExpression>
			</textField>
		</band>
	</summary>
</jasperReport>
